Skip to main content
`Ctrl`+`K`

# get_constellation

astropy.coordinates.get_constellation(coord, short_name=False, constellation_list='iau')

  Determines the constellation(s) a given coordinate object contains.

  Parameters:
    coord astropy:coordinate-like

      The object to determine the constellation of.

    short_name bool

      If True, the returned names are the IAU-sanctioned abbreviated names. Otherwise, full names for the constellations are used.

    constellation_list `python:str`

      The set of constellations to use. Currently only `'iau'` is supported, meaning the 88 “modern” constellations endorsed by the IAU.

  Returns:
    constellation `python:str` or `python:str` `array`

      If `coords` contains a scalar coordinate, returns the name of the constellation. If it is an array coordinate object, it returns an array of names.

  Notes

  To determine which constellation a point on the sky is in, this precesses to B1875, and then uses the Delporte boundaries of the 88 modern constellations, as tabulated by Roman 1987.